<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Verifica ServiceType
 * @subpackage Services
 */
class Verifica extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named
     * VerificaPagamentosDisponiveisReferenciaMB
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\VerificaPagamentosDisponiveisReferenciaMB $parameters
     * @return \StructType\VerificaPagamentosDisponiveisReferenciaMBResponse|bool
     */
    public function VerificaPagamentosDisponiveisReferenciaMB(\StructType\VerificaPagamentosDisponiveisReferenciaMB $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->VerificaPagamentosDisponiveisReferenciaMB($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named VerificaPagamentosDisponiveisMB
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\VerificaPagamentosDisponiveisMB $parameters
     * @return \StructType\VerificaPagamentosDisponiveisMBResponse|bool
     */
    public function VerificaPagamentosDisponiveisMB(\StructType\VerificaPagamentosDisponiveisMB $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->VerificaPagamentosDisponiveisMB($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\VerificaPagamentosDisponiveisMBResponse|\StructType\VerificaPagamentosDisponiveisReferenciaMBResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
